> For the complete documentation index, see [llms.txt](https://docs.archisketch.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.archisketch.com/guide/dev-en/api-sdk/api/building.md).

# Building

## Search Buildings (Including Floor Plans)

> Searches for a list of buildings with registered floor plans.\
> \
> \### Use Cases\
> \- Keyword-based building search\
> \- Map area (bounding box) based building retrieval\
> \- Area, number of bedrooms/bathrooms filtering\
> \
> \### Pagination\
> \- Offset-based paging (starts from 0)\
> \- limit: page size (min 1, max 200)\
> \- Check existence of the next page using hasNext in the response\
> \
> \### Filter Conditions\
> \- keyword: Search by address name / road name / building name / user-configured building alias\
> \- bottomRightLat, bottomRightLon, topLeftLat, topLeftLon: Map area filter (enter all 4 or omit all)\
> \- minArea, maxArea: Floor plan area range filter (㎡)\
> \- bedrooms: Bedroom count filter\
> \- bathrooms: Bathroom count filter\
> \- sort: Sort criteria (ID\_DESC, ID\_ASC, UPDATED\_ASC, UPDATED\_DESC, etc.)

```json
{"openapi":"3.1.0","info":{"title":"Open API","version":"snapshot"},"tags":[{"name":"Building"}],"servers":[{"url":"https://openapi.archisketch.com"}],"security":[{"open-api-key":[]}],"paths":{"/api/v1/building":{"get":{"tags":["Building"],"summary":"Search Buildings (Including Floor Plans)","description":"Searches for a list of buildings with registered floor plans.\n\n### Use Cases\n- Keyword-based building search\n- Map area (bounding box) based building retrieval\n- Area, number of bedrooms/bathrooms filtering\n\n### Pagination\n- Offset-based paging (starts from 0)\n- limit: page size (min 1, max 200)\n- Check existence of the next page using hasNext in the response\n\n### Filter Conditions\n- keyword: Search by address name / road name / building name / user-configured building alias\n- bottomRightLat, bottomRightLon, topLeftLat, topLeftLon: Map area filter (enter all 4 or omit all)\n- minArea, maxArea: Floor plan area range filter (㎡)\n- bedrooms: Bedroom count filter\n- bathrooms: Bathroom count filter\n- sort: Sort criteria (ID_DESC, ID_ASC, UPDATED_ASC, UPDATED_DESC, etc.)","operationId":"searchBuildings","parameters":[{"name":"offset","in":"query","description":"Page number (starts from 0, offset paging)","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","description":"Page size (min: 1, max: 200)","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"sortType","in":"query","description":"Sort Criteria","required":false,"schema":{"type":"string","default":"ID_DESC","description":"Sort Type","enum":["ID_DESC","ID_ASC","NAME_ASC","NAME_DESC","UPDATED_ASC","UPDATED_DESC"]}},{"name":"keyword","in":"query","description":"Search keyword (Address name / Road name / Building name / Building alias)","required":false,"schema":{"type":"string"}},{"name":"bottomRightLat","in":"query","description":"Bottom-right latitude (bounding box)","required":false,"schema":{"type":"number","format":"double"}},{"name":"bottomRightLon","in":"query","description":"Bottom-right longitude (bounding box)","required":false,"schema":{"type":"number","format":"double"}},{"name":"topLeftLat","in":"query","description":"Top-left latitude (bounding box)","required":false,"schema":{"type":"number","format":"double"}},{"name":"topLeftLon","in":"query","description":"Top-left longitude (bounding box)","required":false,"schema":{"type":"number","format":"double"}},{"name":"minArea","in":"query","description":"Minimum area (㎡)","required":false,"schema":{"type":"number","format":"double"}},{"name":"maxArea","in":"query","description":"Maximum area (㎡)","required":false,"schema":{"type":"number","format":"double"}},{"name":"bedrooms","in":"query","description":"Number of bedrooms","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"bathrooms","in":"query","description":"Number of bathrooms","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"All responses return 200 (including success and failure) (5xx is exposed only in error conditions)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponsePageResponseBuildingResponse"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.archisketch.com/guide/dev-en/api-sdk/api/building.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
